Subject: bug#56393: Actually fix the long lines display bug

From: Robert Pluim <[email-masked]>
Date: Tue, 05 Jul 2022 17:21:34 +0200

>>>>> On Tue, 05 Jul 2022 14:30:08 +0000, Gregory Heytings <[email-masked]> said:

    >> 
    >> I did try this, and it does happen.  Here:
    >> 
    >> (with-temp-buffer
    >> (insert-file-contents "long-line.xml")
    >> (point-max))
    >> 
    >> (where long-line.xml is the file whose URL I've shown in my
    >> message). This gives me 30001, whereas the correct value is 306666.
    >> 

    Gregory> That's of course not what I meant with "in practice".  What I meant
    Gregory> is: are there actual uses of "(with-temp-buffer (insert-file-contents
    Gregory> ..." which insert actual files with sufficiently long lines?  Such
    Gregory> files are not so common.  As I said, if that's the case, it's easy to
    Gregory> add a "(let ((auto-narrow-long-line-threshold nil))" around the code,
    Gregory> in this case either in the with-temp-buffer macro or in the code
    Gregory> above.

.newsrc.eld can have very long lines (mine is 2.7M, for only 21
lines). You break Gnus weʼll be coming for you with pitchforks 🙂
(although I think gnus uses `read', not `insert-file-contents')

Robert
--